#include <iostream>
#include <iomanip>
using namespace std;

int N[200005];
double N1[200005];
double N2[200005];
int main()
{
	int n;
	cin >> n;
	int i,j,l;
	double k = 0;
 	for ( i = 0; i < n; i++)
	{
		cin >> N[i] >> N1[i];
	}
	
	
		for ( l = 0; l < n; l++)
		{
			for (j = 0; j < n; j++)
			{
				if (N1[j] >= N1[l]) N2[l] += N[j];
			}
			N2[l] *= (N1[l] * 0.01);
		}
		
	
	
	k = N2[0];
	for ( i = 0; i < n; i++)
	{
		if (N2[i] > k) k = N2[i];
	}
	std::cout << std::setprecision(100) << k << std::endl;

	return 0;
}